package com.rv.share.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.math.BigDecimal;

public class PersonShareBean extends BaseBean {
    private boolean rel;
    private PersonShareInfo data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public PersonShareInfo getData() {
        return data;
    }

    public void setData(PersonShareInfo data) {
        this.data = data;
    }

    public static class PersonShareInfo {
        private BigDecimal totalIncome;
        private int inviteNumber;
        private int activatedNumber;
        private String leaderUsername;
        private String leaderHeadUrl;

        public BigDecimal getTotalIncome() {
            return totalIncome;
        }

        public void setTotalIncome(BigDecimal totalIncome) {
            this.totalIncome = totalIncome;
        }

        public int getInviteNumber() {
            return inviteNumber;
        }

        public void setInviteNumber(int inviteNumber) {
            this.inviteNumber = inviteNumber;
        }

        public int getActivatedNumber() {
            return activatedNumber;
        }

        public void setActivatedNumber(int activatedNumber) {
            this.activatedNumber = activatedNumber;
        }

        public String getLeaderUsername() {
            return leaderUsername;
        }

        public void setLeaderUsername(String leaderUsername) {
            this.leaderUsername = leaderUsername;
        }

        public String getLeaderHeadUrl() {
            return leaderHeadUrl;
        }

        public void setLeaderHeadUrl(String leaderHeadUrl) {
            this.leaderHeadUrl = leaderHeadUrl;
        }
    }
}
